#ifndef _MESH_H_
#define _MESH_H_

#include "texture.h"

class MESH
{
 public:
  MESH();
  ~MESH();
  void Load(const char *file);
  void SetTexture(TEXTURE *tex);
  void Render(void);
  void Destroy(void);
 private:
  TEXTURE *tex_ptr;
  float *vertex_data;
  unsigned int num_vertices;
};

#endif
