#ifndef _RING_LIST_H_
#define _RING_LIST_H_

#include <vector>
#include "ring.h"

class RING_LIST
{
 public:
  void AddRing(RING &new_ring);
  void CheckCollisionWithTarget(VECTOR3D &ship_pos);
  bool GotThenAll(void);
  void DrawRings(void);
  void Destroy(void);
  void SetLaps(int laps);
  int GetLapsLeft(void);
 private:
  std::vector<RING> rings;
  int laps_left;
  unsigned int current_target_ring;
};

#endif
