#ifndef STAGE_CLEAR_LOOP_H_
#define STAGE_CLEAR_LOOP_H_

#include <OpenLayer.hpp>
#include "game_loop.h"

class STAGE_CLEAR_LOOP : public GAME_LOOP
{
 public:
  virtual void Init(void);
  virtual bool Logic(void);
  virtual void Shutdown(void);
  void SetTTB(int ttb);
  void SetActualTime(int ac_time);
 private:
  float bg_rotation;
  int ttb_in_ms;
  int ttb_min, ttb_sec, ttb_ms;
  int actual_time_in_ms;
  int at_min, at_sec, at_ms;
  ol::TextRenderer big_text;
  ol::TextRenderer small_text;
};

#endif
