#ifndef TITLE_LOOP_H_
#define TITLE_LOOP_H_

#include <OpenLayer.hpp>
#include "game_loop.h"

class TITLE_LOOP : public GAME_LOOP
{
 public:
  virtual void Init(void);
  virtual bool Logic(void);
  virtual void Shutdown(void);
  
  bool SelectQuit(void);
 private:
  ol::TextRenderer title_font;
  ol::TextRenderer selection_font;
  int current_selection;
  float bg_rotation;
  float select_rotation;
};

#endif
