#include <math.h>
#include "vector3d.h"

VECTOR3D::VECTOR3D()
{
  x = 0.0f;
  y = 0.0f;
  z = 0.0f;
}

float VECTOR3D::GetLength()
{
  float a, b, c, d;
  
  a = x * x;
  b = y * y;
  c = z * z;
  
  d = a + b + c;
  
  return sqrt(d);
}

float &VECTOR3D::operator[](int num)
{
  num = num % 3;
  switch(num)
  {
    case 0:
      return x;
    case 1:
      return y;
    case 2:
      return z;
    default:
      return x;
  }
  return x;
}
