#ifndef _RESOURCES_H_
#define _RESOURCES_H_

#include <OpenLayer.hpp>
#include "texture.h"
#include "mesh.h"
#include "sound.h"
#include "music.h"

extern TEXTURE sky_texture;
extern TEXTURE glider_texture;
extern TEXTURE metal_texture;
extern TEXTURE sparkle_texture;
extern TEXTURE light_texture;
extern TEXTURE select_texture;

extern MESH sky_mesh;
extern MESH glider_mesh;
extern MESH select_mesh;

extern SOUND click_sound;
extern SOUND select_sound;
extern SOUND engines_sound;
extern SOUND boost_sound;
extern SOUND loop_sound;

extern MUSIC clear_music;
extern MUSIC lose_music;

void LoadResources(void);
void DestroyResources(void);

#endif
