#ifndef _RING_H_
#define _RING_H_

#include "vector3d.h"

class RING
{
 public:
  RING(void);
  void SetXYZDirection(float x, float y, float z, float direction);
  bool CheckPointCollision(VECTOR3D &ship_pos);
  void Draw(void);
  void SetTarget(bool is_target);
 private:
  VECTOR3D position;
  float y_rotation;
  float z_rotation;
  bool target;
};

#endif
