#include <allegro.h>
#include <string.h>
#include "input.h"

char old_keys[KEY_MAX];

void UpdateInput(void)
{
  memcpy((void *)old_keys, (const void *)key, KEY_MAX);
}

bool KeyPress(int allegro_key)
{
  return (!old_keys[allegro_key] && key[allegro_key]);
}

bool KeyDown(int allegro_key)
{
  return key[allegro_key];
}

bool KeyUp(int allegro_key)
{
  return (!old_keys[allegro_key] && !key[allegro_key]);
}
