#include "music.h"

MUSIC::MUSIC()
{
  midi_data = NULL;
}

MUSIC::~MUSIC()
{
  Destroy();
}

void MUSIC::LoadMidi(const char *filename)
{
  midi_data = load_midi(filename);
}

void MUSIC::Play(void)
{
  if(midi_data != NULL)
  {
    play_midi(midi_data, 1);
  }
}

void MUSIC::Stop(void)
{
  stop_midi();
}

void MUSIC::Destroy(void)
{
  if(midi_data != NULL)
  {
    destroy_midi(midi_data);
    midi_data = NULL;
  }
}
